<?php
/*------------------------------------------------------------------------
  Solidres - Hotel booking extension for Joomla
  ------------------------------------------------------------------------
  @Author    Solidres Team
  @Website   http://www.solidres.com
  @Copyright Copyright (C) 2013 - 2016 Solidres. All Rights Reserved.
  @License   GNU General Public License version 3, or later
------------------------------------------------------------------------*/

defined('_JEXEC') or die;

JLoader::register('SolidresHelper', JPATH_COMPONENT_ADMINISTRATOR.'/helpers/helper.php');

/**
 * State list controller class.
 *
 * @package     Solidres
 * @subpackage	State
 * @since		0.1.0
 */
class SolidresControllerRoomTypes extends JControllerAdmin
{
	public function &getModel($name = 'RoomTypes', $prefix = 'SolidresModel')
	{
		$model = parent::getModel($name, $prefix, array('ignore_request' => true));
		return $model;
	}

	public function find()
	{
		$reservationAssetId = JFactory::getApplication()->input->get('id', 0, 'int');
		$roomTypes = SolidresHelper::getRoomTypeOptions($reservationAssetId);
		$html = '';
		foreach ($roomTypes as $roomType)
		{
			$html .= '<option value="'.$roomType->value.'">'.$roomType->text.'</option>';
		}
		echo $html;
		JFactory::getApplication()->close();
	}
}