<?php
/*------------------------------------------------------------------------
  Solidres - Hotel booking extension for Joomla
  ------------------------------------------------------------------------
  @Author    Solidres Team
  @Website   http://www.solidres.com
  @Copyright Copyright (C) 2013 - 2016 Solidres. All Rights Reserved.
  @License   GNU General Public License version 3, or later
------------------------------------------------------------------------*/

defined('_JEXEC') or die;

class SRViewLegacy extends JViewLegacy
{
	public function __construct($config = array())
	{
		parent::__construct($config);
		$reflector = new ReflectionClass($this);
		if ($fileName = $reflector->getFileName())
		{
			array_push($this->_path['template'], dirname($fileName) . '/tmpl');
		}

	}

	public function get($property, $default = null)
	{
		if ('FilterForm' == $property || 'ActiveFilters')
		{
			$reflector = new ReflectionClass($this);
			if ($fileName = $reflector->getFileName())
			{
				$modelPath = dirname(dirname(dirname($fileName))) . '/models';
				JForm::addFormPath($modelPath . '/forms');
				JForm::addFieldPath($modelPath . '/fields');
			}
		}

		return parent::get($property, $default);
	}

}